from .collection import Collection
from globus.manager.constants import ConfigurationObjectTag


class AzureBlobCollection(Collection):
    POLICY_DATA_TYPE = "azure_blob_collection_policies#1.0.0"
    POLICY_DATA_TYPES = [POLICY_DATA_TYPE]
    CONNECTOR_ID = "9436da0c-a444-11eb-af93-12704e0d6a4d"

    __mapper_args__ = {
        "polymorphic_identity": (ConfigurationObjectTag.COLLECTION.name + CONNECTOR_ID)
    }

    @property
    def connector_id(self):
        return self.CONNECTOR_ID

    @connector_id.setter
    def connector_id(self, value):
        pass

    def __repr__(self):
        return "<AzureBlobCollection {}>".format(self.id)
