from flask import current_app


class Connector:
    def __init__(self, id=None, display_name=None, can_post_credential=True):
        self._id = id
        self._display_name = display_name
        self._can_post_credential = can_post_credential

    @property
    def id(self):
        return self._id

    @property
    def display_name(self):
        return self._display_name

    @property
    def enabled(self):
        if self._id == "145812c8-decc-41f1-83cf-bb2a85a2a70b":
            return True
        else:
            return bool(current_app.subscription)

    @property
    def can_post_credential(self):
        return self._can_post_credential

    def __repr__(self):
        return "<Connector {}>".format(self.display_name)
