"""
Schemas in this package are those defined in the GCS Manager API, except for
connector-specific schemas. These include the API request and response
documents, and core data documents for resources managed by this API.
"""
# flake8: noqa

from .account import account_schema
from .authentication_timeout import authentication_timeout_schema
from .collection import (
    collection_schema,
    collection_patch_schema,
    collection_private_schema,
    collection_configuration_schema,
)
from .connector import connector_schema
from .credential_not_found import credential_not_found_schema
from .data_type import data_type_schema
from .domain import (
    DomainDict,
    ManagedDomainDict,
    UnmanagedDomainDict,
    domain_schema,
)
from .endpoint import endpoint_schema, endpoint_patch_schema
from .endpoint_owner import endpoint_owner_schema
from .endpoint_subscription import endpoint_subscription_schema
from .id_not_in_identity_set import id_not_in_identity_set_schema
from .info import info_schema
from .invalid_credential import invalid_credential_schema
from .invalid_input import invalid_input_schema
from .invalid_user import invalid_user_schema
from .identity_mapping import identity_mapping_schema
from .limit_exceeded import limit_exceeded_schema
from .missing_required_role import missing_required_role_schema
from .missing_required_scopes import missing_required_scopes_schema
from .node import node_schema, node_patch_schema
from .not_from_allowed_domain import not_from_allowed_domain_schema
from .not_resource_owner import not_resource_owner_schema
from .owner_string import owner_string_schema
from .path_restrictions import path_restrictions_schema, PathRestrictionsDict
from .result import result_schema
from .resource_conflict import resource_conflict_schema
from .role import role_schema
from .sharing_policy import (
    SharingPolicyDumpDict,
    SharingPolicyLoadDict,
    sharing_policy_schema,
)
from .semantic_version import semantic_version_expression
from .storage_gateway import (
    storage_gateway_schema,
    storage_gateway_private_schema,
)
from .subscription_required import subscription_required_schema
from .user_credential import (
    user_credential_schema,
    user_credential_patch_schema,
    user_credential_private_schema,
)
