import marshmallow as ma
from .data_type import DataTypeSchema


class AuthenticationTimeoutSchema(ma.Schema):
    _DATA_TYPE = "authentication_timeout#1.1.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    identities = ma.fields.List(ma.fields.UUID)
    high_assurance = ma.fields.Boolean()
    require_mfa = ma.fields.Boolean()


authentication_timeout_schema = AuthenticationTimeoutSchema()
DataTypeSchema.register_schema(authentication_timeout_schema)
