import marshmallow as ma

from .common_collection_schema import CommonCollectionSchema


class GuestCollectionUpdateSchema(CommonCollectionSchema):
    """
    Transfer's view of a guest collection
    """

    DATA_TYPE = ma.fields.String(default="shared_endpoint")
    host_path = ma.fields.Constant("/")
    host_endpoint = ma.fields.UUID()
    gcs_mapped_collection_id = ma.fields.UUID(attribute="mapped_collection_id")

    @ma.post_dump
    def delete_timeout_if_not_ha(self, obj, **kwargs):
        if not obj.get("high_assurance", False):
            obj.pop("authentication_timeout_mins", None)
        return obj


class GuestCollectionCreateSchema(GuestCollectionUpdateSchema):
    """
    Transfer's view of a guest collection
    """

    gcs_private_uuid = ma.fields.UUID()


guest_collection_create_schema = GuestCollectionCreateSchema()
guest_collection_update_schema = GuestCollectionUpdateSchema()
